Bug 1080770 - Empty group "Add Project" button on languages tab doesn't work
Summary: Empty group "Add Project" button on languages tab doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4
Assignee: Carlos Munoz
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-26 06:14 UTC by Damian Jansen
Modified: 2014-07-17 06:39 UTC (History)
1 user (show)

Fixed In Version: 3.4.0-SNAPSHOT (git-server-3.3.1-268-g2d961af)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:41 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-03-26 06:14:31 UTC
Description of problem:
An empty (no projects) group has an "Add Project" button on the second column. This points to $url#settings-projects
The change to bookmark-able urls doesn't handle this

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Create a group
2. Add a language to the group
3. Click the languages tab
4. Click the "Add project" button in column 2

Actual results:
Nothing

Expected results:
Go to settings/projects

Additional info:

Comment 1 Carlos Munoz 2014-05-07 00:41:03 UTC
Fixed behavior of the two "Add Projects" butons, and updated some tab styling to conform to the latest assets' scripts.

See:
https://github.com/zanata/zanata-server/pull/435

Comment 2 Damian Jansen 2014-05-07 04:58:52 UTC
Verified


Note You need to log in before you can comment on or make changes to this bug.